%global momorel 1
%global mozilla_version 1.7.3
%global tm_version 0.2
%global installed_chrome_text %{_libdir}/mozilla-%{mozilla_version}/chrome/installed-chrome.txt
Name:        mozilla-language-pack
Summary:     mozilla language pack
Version:     %{mozilla_version}
Release:     %{momorel}m
License:     MPL and GPL and LGPL
%NoSource 0 http://moz.skillup.jp/archive/suite/%{mozilla_version}/moz1.7-langjajp-tm%{tm_version}.xpi  e7562006fd295a817be17bc6ba62a4c5
Source1:     lang-ja.txt
Group:       Applications/Internet
BuildPrereq: unzip
Prereq:      mozilla
URL:         http://www.mozilla.org/
Buildroot:   %{_tmppath}/%{name}-%{version}-root
BuildArch:   noarch

%description
mozilla language pack

%package japanese
Summary:     Mozilla japanese language pack (jlp)
Group:       Applications/Internet
Requires:    mozilla >= %{version}

%description japanese
Mozilla japanese language pack (jlp)

%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/mozilla-%{version}
cd %{buildroot}%{_libdir}/mozilla-%{version}

#JLP
unzip -q -o %{SOURCE0}
rm -f install.js
mkdir -p bin/searchplugins
mv sp/* bin/searchplugins
mv sp_nomac/* bin/searchplugins
pushd bin
mv * ..
popd
rm -rf bin
mkdir chrome/lang
cp %{SOURCE1} chrome/lang/lang-ja.txt
rm -rf sp_nomac sp install.properties

# remove unwanting files, but this include LICENSE :-p
rm -f %{buildroot}%{_libdir}/mozilla-%{version}/LICENSE
rm -f %{buildroot}%{_libdir}/mozilla-%{version}/chrome/ja-mac.jar
rm -f %{buildroot}%{_libdir}/mozilla-%{version}/chrome/ja-win.jar
rm -f %{buildroot}%{_libdir}/mozilla-%{version}/defaults/messenger/JP/mailViews.dat

%clean
/bin/rm -rf %{buildroot}

%post japanese
if [ -f %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
fi
%__perl -p -i -e 's|^locale,install,select,en-US$|locale,install,select,ja-JP|' %{installed_chrome_text}

%postun japanese
if [ "$1" == "2" ]; then
  if [ -f %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
      %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
  fi
fi

%changelog
* Thu Sep 16 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7.3-1m)
- rebuild against mozilla-1.7.3

* Sun Aug 22 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.7.2-3m)
  revised source url

* Mon Aug  9 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7.2-2m)
- update to  moz1.7-langjajp-tm0.2.xpi

* Sat Aug  7 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7.2-1m)
- rebuild against mozilla-1.7.2

* Thu Jul 22 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7-3m)
- version up.

* Tue Jul  6 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7-2m)
- rebuild against mozilla-1.7-2m

* Mon Jun 28 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7-1m)
- update for mozilla 1.7

* Tue Apr 27 2004 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.6-4m)
- update to 1.6tm0.2.1 for mozilla-1.6

* Fri Apr  2 2004 Toru Hoshina <t@momonga-linux.org>
- (1.6-3m)
- Epoch, the company that is known as "the ballpark" game vendor.

* Tue Mar 23 2004 Toru Hoshina <t@momonga-linux.org>
- (1.6-2m)
- revised spec for enabling rpm 4.2.

* Sat Jan 17 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.6-1m)
- update to 1.6tm0.1 for mozilla-1.6

* Sun Nov 23 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5-2m)
- update Source0
- change Source0 URI
- s/Copyright:/License:/


* Thu Oct 16 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.5-1m)
- update to 1.5 tm0.1

* Sun Aug 10 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.4-3m)
- update to tm0.4
- use %%NoSource tag.

* Thu Jul 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.4-2m)
  update to tm0.2

* Wed Jul  2 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.4-1m)
- update to 1.4 for mozilla-1.4.

* Wed May 21 2003 zunda <zunda at freeshell.org>
- (1.3.1-3m)
- Source update: 1.3.1-0.2.1

* Wed May 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.3.1-2m)
- fixed Version:

* Fri May 16 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.3.1-1m)
- for mozilla 1.3.1

* Fri May  9 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.3-4m)
- change Source to 1.3.1-tm0.2

* Sat Apr 12 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3-3m)
- change Source0 URI
- add BuildPrereq: unzip
- delete BuildPrereq: zip

* Wed Mar 19 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3-2m)
- release version.

* Fri Mar 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3-1m)
- initial

%files japanese
%defattr(-,root,root)
%{_libdir}/mozilla-%{version}/searchplugins/*
%{_libdir}/mozilla-%{version}/chrome/lang/lang-ja.txt
%{_libdir}/mozilla-%{version}/chrome/JP.jar
%{_libdir}/mozilla-%{version}/chrome/ja-JP.jar
%{_libdir}/mozilla-%{version}/chrome/ja-unix.jar
%{_libdir}/mozilla-%{version}/defaults/profile/JP
